<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRevisionNumberComponents Method (IEdmRevisionMgr)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr Interface : GetRevisionNumberComponents Method (IEdmRevisionMgr)

Visual Basic
C#
C++/CLI

ppoComponents
  Array of EdmRevComponent structures; one structure for each revision number component

Obsolete. Superseded by IEdmRevisionMgr2::GetRevisionNumberComponents2 .

# Syntax

Visual Basic |
--- | ---

    Sub GetRevisionNumberComponents( _
       ByRef ppoComponents() As EdmRevComponent _
    )

C# |
--- | ---

    void GetRevisionNumberComponents(
       out EdmRevComponent[] ppoComponents
    )

C++/CLI |
--- | ---

    void GetRevisionNumberComponents(
    &   [Out] array<EdmRevComponent>^ ppoComponents
    )

#### Parameters

ppoComponents
  Array of EdmRevComponent structures; one structure for each revision number component

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr Interface
IEdmRevisionMgr Members

# Availability

SOLIDWORKS PDM Professional 2007